WordPress Under Attack, Upgrade Now

There is a particularly nasty WordPress attack making the rounds right now which Lorelle talks about on her blog. If you are not running the latest version of WordPress (2.8.4), you should upgrade immediately.

WordPress founder Matt Mullenweg talks about how to keep WordPress secure.

If you don’t upgrade WordPress on your blog and it is compromised, it’s is not pretty sight. It can take quite a while fix the damage and often people find out that Google considered their blog a security risk, blocking it from search. If you’ve ignored the warnings and it’s too late, here’s information on how to recover from a compromised WordPress install.

The good news is that once you are running the latest version of WordPress you’ll be able to do one click automatic upgrades, making the process super easy.

If you’re not sure if your installation of WordPress is running the latest version, you can check by logging into your Dashboard. If you have any questions or need help upgrading, please contact us through the Help Desk.